-1

I'm not an expert on servers, but I had to reboot an instance on Google Cloud Platform, and after that I got an Error n 28. I was able to connect through serial port, tried to create a new instance with the snapshot I took of that disk, whatsoever the error persists. As not-a-expert I have no clue on how to solve that problem. If you had any tips I'll be very grateful.

Welcome to [1mUbuntu 18.04.3 LTS[0m!
[    7.197152] cloud-init[733]: tee: /var/log/cloud-init-output.log: No space left on device
[    7.198408] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,138 - util.py[DEBUG]: Writing to /var/log/cloud-init.log - ab: [644] 0 bytes
[    7.199329] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,139 - util.py[DEBUG]: Changing the ownership of /var/log/cloud-init.log to 102:4
[    7.199740] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,139 - util.py[DEBUG]: Attempting to remove /var/lib/cloud/instance/boot-finished
[    7.199960] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,139 - util.py[DEBUG]: Attempting to remove /var/lib/cloud/data/no-net
[    7.200188] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,140 - handlers.py[DEBUG]: start: init-local/check-cache: attempting to read from cache [check]
[    7.200392] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,140 - util.py[DEBUG]: Reading from /var/lib/cloud/instance/obj.pkl (quiet=False)
[    7.200651] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,140 - stages.py[DEBUG]: no cache found
[    7.200890] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,140 - handlers.py[DEBUG]: finish: init-local/check-cache: SUCCESS: no cache found
[    7.201099] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,140 - util.py[DEBUG]: Attempting to remove /var/lib/cloud/instance
[    7.204812] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,144 - stages.py[DEBUG]: Using distro class <class 'cloudinit.distros.ubuntu.Distro'>
[    7.205187] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,145 - __init__.py[DEBUG]: Looking for data source in: ['GCE', 'None'], via packages ['', 'cloudinit.sources'] that matches dependencies ['FILESYSTEM']
[    7.210174] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,150 - __init__.py[DEBUG]: Searching for local data source in: []
[    7.210438] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,150 - main.py[DEBUG]: No local datasource found
[    7.211235] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,151 - util.py[DEBUG]: Reading from /sys/class/net/ens4/name_assign_type (quiet=False)
[    7.211457] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,151 - util.py[DEBUG]: Read 2 bytes from /sys/class/net/ens4/name_assign_type
[    7.211700] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,151 - util.py[DEBUG]: Reading from /sys/class/net/ens4/carrier (quiet=False)
[    7.211919] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,152 - util.py[DEBUG]: Reading from /sys/class/net/ens4/dormant (quiet=False)
[    7.212122] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,152 - util.py[DEBUG]: Reading from /sys/class/net/ens4/operstate (quiet=False)
[    7.212337] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,152 - util.py[DEBUG]: Read 5 bytes from /sys/class/net/ens4/operstate
[    7.212595] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,152 - util.py[DEBUG]: Reading from /sys/class/net/ens4/address (quiet=False)
[    7.212807] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,152 - util.py[DEBUG]: Read 18 bytes from /sys/class/net/ens4/address
[    7.213032] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,152 - util.py[DEBUG]: Reading from /sys/class/net/ens4/address (quiet=False)
[    7.213239] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,152 - util.py[DEBUG]: Read 18 bytes from /sys/class/net/ens4/address
[    7.213440] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,152 - stages.py[DEBUG]: applying net config names for {'config': [{'type': 'physical', 'name': 'ens4', 'mac_address': '42:01:0a:9e:00:11', 'subnets': [{'type': 'dhcp'}]}], 'version': 1}
[    7.213647] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,153 - util.py[DEBUG]: Reading from /sys/class/net/ens4/device/device (quiet=False)
[    7.213857] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,153 - util.py[DEBUG]: Read 7 bytes from /sys/class/net/ens4/device/device
[    7.214072] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,153 - util.py[DEBUG]: Reading from /sys/class/net/ens4/addr_assign_type (quiet=False)
[    7.214280] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,153 - util.py[DEBUG]: Read 2 bytes from /sys/class/net/ens4/addr_assign_type
[    7.214484] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,153 - util.py[DEBUG]: Reading from /sys/class/net/ens4/uevent (quiet=False)
[    7.214688] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,153 - util.py[DEBUG]: Read 25 bytes from /sys/class/net/ens4/uevent
[    7.214889] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,153 - util.py[DEBUG]: Reading from /sys/class/net/ens4/address (quiet=False)
[    7.215092] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,153 - util.py[DEBUG]: Read 18 bytes from /sys/class/net/ens4/address
[    7.215300] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,154 - util.py[DEBUG]: Reading from /sys/class/net/ens4/device/device (quiet=False)
[    7.269476] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,154 - util.py[DEBUG]: Read 7 bytes from /sys/class/net/ens4/device/device
[    7.269647] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,154 - util.py[DEBUG]: Reading from /sys/class/net/lo/addr_assign_type (quiet=False)
[    7.269831] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,154 - util.py[DEBUG]: Read 2 bytes from /sys/class/net/lo/addr_assign_type
[    7.269938] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,154 - util.py[DEBUG]: Reading from /sys/class/net/lo/uevent (quiet=False)
[    7.270078] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,154 - util.py[DEBUG]: Read 23 bytes from /sys/class/net/lo/uevent
[    7.270176] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,154 - util.py[DEBUG]: Reading from /sys/class/net/lo/address (quiet=False)
[    7.270284] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,154 - util.py[DEBUG]: Read 18 bytes from /sys/class/net/lo/address
[    7.270379] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,154 - util.py[DEBUG]: Reading from /sys/class/net/lo/device/device (quiet=False)
[    7.270534] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,155 - util.py[DEBUG]: Reading from /sys/class/net/ens4/operstate (quiet=False)
[    7.270629] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,155 - util.py[DEBUG]: Read 5 bytes from /sys/class/net/ens4/operstate
[    7.270761] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,155 - util.py[DEBUG]: Reading from /sys/class/net/lo/operstate (quiet=False)
[    7.270857] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,155 - util.py[DEBUG]: Read 8 bytes from /sys/class/net/lo/operstate
[    7.270965] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,155 - util.py[DEBUG]: Running command ['ip', '-6', 'addr', 'show', 'permanent', 'scope', 'global'] with allowed return codes [0] (shell=False, capture=True)
[    7.271061] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,171 - util.py[DEBUG]: Running command ['ip', '-4', 'addr', 'show'] with allowed return codes [0] (shell=False, capture=True)
[    7.271232] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,175 - __init__.py[DEBUG]: no work necessary for renaming of [['42:01:0a:9e:00:11', 'ens4', 'virtio_net', '0x0001']]
[    7.271326] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,176 - stages.py[INFO]: Applying network configuration from fallback bringup=False: {'config': [{'type': 'physical', 'name': 'ens4', 'mac_address': '42:01:0a:9e:00:11', 'subnets': [{'type': 'dhcp'}]}], 'version': 1}
[    7.271423] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,178 - util.py[DEBUG]: Reading from /etc/os-release (quiet=False)
[    7.271521] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,178 - util.py[DEBUG]: Read 386 bytes from /etc/os-release
[    7.271643] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,180 - __init__.py[DEBUG]: Selected renderer 'netplan' from priority list: None
[    7.271749] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,183 - util.py[DEBUG]: Writing to /etc/netplan/50-cloud-init.yaml - wb: [644] 473 bytes
[    7.271861] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,198 - util.py[DEBUG]: Running command ['netplan', 'generate'] with allowed return codes [0] (shell=False, capture=True)
[    7.412225] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,351 - util.py[DEBUG]: Running command ['udevadm', 'test-builtin', 'net_setup_link', '/sys/class/net/ens4'] with allowed return codes [0] (shell=False, capture=True)
[    7.418983] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,358 - util.py[DEBUG]: Running command ['udevadm', 'test-builtin', 'net_setup_link', '/sys/class/net/lo'] with allowed return codes [0] (shell=False, capture=True)
[    7.424030] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,363 - main.py[DEBUG]: [local] Exiting without datasource
[    7.424945] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,365 - util.py[DEBUG]: Reading from /proc/uptime (quiet=False)
[    7.425214] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,365 - util.py[DEBUG]: Read 11 bytes from /proc/uptime
[    7.425425] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,365 - util.py[DEBUG]: cloud-init mode 'init' took 0.272 seconds (0.27)
[    7.425634] cloud-init[733]: FALLBACK: 2019-11-04 21:29:53,365 - handlers.py[DEBUG]: finish: init-local: FAIL: searching for local datasources
[    7.551545] cloud-init[733]: OSError: [Errno 28] No space left on device
[    7.552317] cloud-init[733]: During handling of the above exception, another exception occurred:
[    7.552755] cloud-init[733]: Traceback (most recent call last):
[    7.553087] cloud-init[733]:   File "/usr/bin/cloud-init", line 11, in <module>
[    7.553196] cloud-init[733]:     load_entry_point('cloud-init==19.1', 'console_scripts', 'cloud-init')()
[    7.553404] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/cmd/main.py", line 893, in main
[    7.553611] cloud-init[733]:     get_uptime=True, func=functor, args=(name, args))
[    7.553820] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/util.py", line 2521, in log_time
[    7.554026] cloud-init[733]:     ret = func(*args, **kwargs)
[    7.554322] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/cmd/main.py", line 671, in status_wrapper
[    7.554661] cloud-init[733]:     atomic_helper.write_json(status_path, status)
[    7.554863] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 40, in write_json
[    7.554963] cloud-init[733]:     omode="w", mode=mode)
[    7.555166] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 33, in write_file
[    7.555375] cloud-init[733]:     raise e
[    7.555595] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 27, in write_file
[    7.555800] cloud-init[733]:     tf.close()
[    7.555999] cloud-init[733]:   File "/usr/lib/python3.6/tempfile.py", line 650, in close
[    7.556204] cloud-init[733]:     self._closer.close()
[    7.556527] cloud-init[733]:   File "/usr/lib/python3.6/tempfile.py", line 584, in close
[    7.556746] cloud-init[733]:     self.file.close()
[    7.556947] cloud-init[733]: OSError: [Errno 28] No space left on device
[    7.557156] cloud-init[733]: Error in sys.excepthook:
[    7.557255] cloud-init[733]: Traceback (most recent call last):
[    7.557452] cloud-init[733]:   File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 109, in apport_excepthook
[    7.557661] cloud-init[733]:     pr.add_proc_info(extraenv=['PYTHONPATH', 'PYTHONHOME'])
[    7.557763] cloud-init[733]:   File "/usr/lib/python3/dist-packages/apport/report.py", line 543, in add_proc_info
[    7.558175] cloud-init[733]:     self.add_proc_environ(pid, extraenv)
[    7.558410] cloud-init[733]:   File "/usr/lib/python3/dist-packages/apport/report.py", line 610, in add_proc_environ
[    7.558646] cloud-init[733]:     env = _read_file('environ', dir_fd=proc_pid_fd).replace('\n', '\\n')
[    7.558848] cloud-init[733]:   File "/usr/lib/python3/dist-packages/apport/report.py", line 73, in _read_file
[    7.559049] cloud-init[733]:     with open(path, 'rb', opener=lambda path, mode: os.open(path, mode, dir_fd=dir_fd)) as fd:
[    7.559287] cloud-init[733]:   File "/usr/lib/python3/dist-packages/apport/report.py", line 73, in <lambda>
[    7.559541] cloud-init[733]:     with open(path, 'rb', opener=lambda path, mode: os.open(path, mode, dir_fd=dir_fd)) as fd:
[    7.559752] cloud-init[733]: TypeError: argument should be integer or None, not list
[    7.559963] cloud-init[733]: Original exception was:
[    7.560163] cloud-init[733]: OSError: [Errno 28] No space left on device
[    7.560262] cloud-init[733]: During handling of the above exception, another exception occurred:
[    7.560487] cloud-init[733]: Traceback (most recent call last):
[    7.560827] cloud-init[733]:   File "/usr/bin/cloud-init", line 11, in <module>
[    7.560928] cloud-init[733]:     load_entry_point('cloud-init==19.1', 'console_scripts', 'cloud-init')()
[    7.561131] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/cmd/main.py", line 893, in main
[    7.561334] cloud-init[733]:     get_uptime=True, func=functor, args=(name, args))
[    7.561543] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/util.py", line 2521, in log_time
[    7.561755] cloud-init[733]:     ret = func(*args, **kwargs)
[    7.561954] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/cmd/main.py", line 671, in status_wrapper
[    7.562176] cloud-init[733]:     atomic_helper.write_json(status_path, status)
[    7.562380] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 40, in write_json
[    7.562479] cloud-init[733]:     omode="w", mode=mode)
[    7.562692] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 33, in write_file
[    7.562892] cloud-init[733]:     raise e
[    7.563101] cloud-init[733]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 27, in write_file
[    7.563333] cloud-init[733]:     tf.close()
[    7.563433] cloud-init[733]:   File "/usr/lib/python3.6/tempfile.py", line 650, in close
[    7.619468] cloud-init[733]:     self._closer.close()
[    7.619989] cloud-init[733]:   File "/usr/lib/python3.6/tempfile.py", line 584, in close
[[0;1;31mFAILED[0m] Failed to start Initial cloud-init job (pre-networking).
See 'systemctl status cloud-init-local.service' for details.
[    7.620281] cloud-init[733]:     self.file.close()
[[0;32m  OK  [0m] Reached target Network (Pre).
[    7.620913] cloud-init[733]: OSError: [Errno 28] No space left on device
         Starting Network Service...
[[0;32m  OK  [0m] Started Network Service.
[[0;32m  OK  [0m] Reached target Network.
         Starting Wait for Network to be Configured...
[[0;32m  OK  [0m] Started Wait for Network to be Configured.
         Starting Initial cloud-init job (metadata service crawler)...
[   10.049472] cloud-init[958]: OSError: [Errno 28] No space left on device
[   10.049843] cloud-init[958]: During handling of the above exception, another exception occurred:
[   10.050122] cloud-init[958]: Traceback (most recent call last):
[   10.050339] cloud-init[958]:   File "/usr/bin/cloud-init", line 11, in <module>
[   10.050495] cloud-init[958]:     load_entry_point('cloud-init==19.1', 'console_scripts', 'cloud-init')()
[   10.050628] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/cmd/main.py", line 893, in main
[   10.050792] cloud-init[958]:     get_uptime=True, func=functor, args=(name, args))
[   10.050927] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/util.py", line 2521, in log_time
[   10.051058] cloud-init[958]:     ret = func(*args, **kwargs)
[   10.051257] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/cmd/main.py", line 648, in status_wrapper
[   10.051362] cloud-init[958]:     atomic_helper.write_json(status_path, status)
[   10.051466] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 40, in write_json
[   10.051600] cloud-init[958]:     omode="w", mode=mode)
[   10.051714] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 33, in write_file
[   10.051854] cloud-init[958]:     raise e
[   10.051967] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 27, in write_file
[   10.052102] cloud-init[958]:     tf.close()
[   10.052217] cloud-init[958]:   File "/usr/lib/python3.6/tempfile.py", line 650, in close
[   10.052364] cloud-init[958]:     self._closer.close()
[   10.052521] cloud-init[958]:   File "/usr/lib/python3.6/tempfile.py", line 584, in close
[   10.052719] cloud-init[958]:     self.file.close()
[   10.052928] cloud-init[958]: OSError: [Errno 28] No space left on device
[   10.053169] cloud-init[958]: Error in sys.excepthook:
[   10.053406] cloud-init[958]: Traceback (most recent call last):
[   10.053614] cloud-init[958]:   File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 109, in apport_excepthook
[   10.053835] cloud-init[958]:     pr.add_proc_info(extraenv=['PYTHONPATH', 'PYTHONHOME'])
[   10.054069] cloud-init[958]:   File "/usr/lib/python3/dist-packages/apport/report.py", line 543, in add_proc_info
[   10.054285] cloud-init[958]:     self.add_proc_environ(pid, extraenv)
[   10.054507] cloud-init[958]:   File "/usr/lib/python3/dist-packages/apport/report.py", line 610, in add_proc_environ
[   10.054718] cloud-init[958]:     env = _read_file('environ', dir_fd=proc_pid_fd).replace('\n', '\\n')
[   10.054942] cloud-init[958]:   File "/usr/lib/python3/dist-packages/apport/report.py", line 73, in _read_file
[   10.055173] cloud-init[958]:     with open(path, 'rb', opener=lambda path, mode: os.open(path, mode, dir_fd=dir_fd)) as fd:
[   10.055407] cloud-init[958]:   File "/usr/lib/python3/dist-packages/apport/report.py", line 73, in <lambda>
[   10.055760] cloud-init[958]:     with open(path, 'rb', opener=lambda path, mode: os.open(path, mode, dir_fd=dir_fd)) as fd:
[   10.055928] cloud-init[958]: TypeError: argument should be integer or None, not list
[   10.056126] cloud-init[958]: Original exception was:
[   10.056371] cloud-init[958]: OSError: [Errno 28] No space left on device
[   10.056617] cloud-init[958]: During handling of the above exception, another exception occurred:
[   10.056799] cloud-init[958]: Traceback (most recent call last):
[   10.057007] cloud-init[958]:   File "/usr/bin/cloud-init", line 11, in <module>
[   10.057142] cloud-init[958]:     load_entry_point('cloud-init==19.1', 'console_scripts', 'cloud-init')()
[   10.057278] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/cmd/main.py", line 893, in main
[   10.057422] cloud-init[958]:     get_uptime=True, func=functor, args=(name, args))
[   10.057542] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/util.py", line 2521, in log_time
[   10.057732] cloud-init[958]:     ret = func(*args, **kwargs)
[   10.057867] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/cmd/main.py", line 648, in status_wrapper
[   10.058000] cloud-init[958]:     atomic_helper.write_json(status_path, status)
[   10.058201] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 40, in write_json
[   10.058338] cloud-init[958]:     omode="w", mode=mode)
[   10.058460] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 33, in write_file
[   10.058564] cloud-init[958]:     raise e
[   10.115887] cloud-init[958]:   File "/usr/lib/python3/dist-packages/cloudinit/atomic_helper.py", line 27, in write_file
[   10.116050] cloud-init[958]:     tf.close()
[   10.116152] cloud-init[958]:   File "/usr/lib/python3.6/tempfile.py", line 650, in close
[   10.116334] cloud-init[958]:     self._closer.close()
[   10.116453] cloud-init[958]:   File "/usr/lib/python3.6/tempfile.py", line 584, in close
[   10.116627] cloud-init[958]:     self.file.close()
[   10.116813] cloud-init[958]: OSError: [Errno 28] No space left on device
[[0;1;31mFAILED[0m] Failed to start Initial cloud-init job (metadata service crawler).
See 'systemctl status cloud-init.service' for details.
[[0;32m  OK  [0m] Reached target Cloud-config availability.
[[0;32m  OK  [0m] Reached target Network is Online.
[[0;32m  OK  [0m] Reached target Remote File Systems (Pre).
[[0;32m  OK  [0m] Reached target Remote File Systems.
         Starting Availability of block devices...
[[0;32m  OK  [0m] Started Availability of block devices.
You are in emergency mode. After logging in, type "journalctl -xb" to view
system logs, "systemctl reboot" to reboot, "systemctl default" or "exit"
to boot into default mode.
Press Enter for maintenance
(or press Control-D to continue):

1 Answer 1

1

This can be solved easily.

  • Go to the Google Console -> Compute Engine -> Disks.

  • Select the disk for the instance.

  • Click the edit button and resize the disk to a larger number.

  • Reboot the instance.

When the instance restarts, the file system on the disk will be resized automatically.

If you are curious about the details, I wrote an article on this topic:

Google Cloud - Resize Root File System

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.